<?php
class widgetStatusiList extends cmsWidget {

    public function run(){

        $cat_id = $this->getOption('cat_id', 0);
		$ordering = $this->getOption('ordering', 'id');
        $limit = $this->getOption('limit', 8);

        $model = cmsCore::getModel('statusi');

        /*/ Отключаем фильтр приватности для тех кому это разрешено
        if (cmsUser::isAllowed($ctype['name'], 'view_all')) {
            $model->disablePrivacyFilter();
        }

        // Скрываем записи из скрытых родителей (приватных групп и т.п.)
        $model->filterHiddenParents();*/
		
		if($cat_id == 0) {
        $items = $model->
					selectOnly('i.id AS sid, i.text, i.installs, u.nickname, u.avatar')->
					joinInner('users', 'u', 'i.author = u.id')->
                    limit($limit)->
					orderBy($ordering, 'DESC')->
                    getStatusi(); } 
		else { 
		$items = $model->
					selectOnly('i.id AS sid, i.text, i.installs, u.nickname, u.avatar')->
					joinInner('users', 'u', 'i.author = u.id')->
                    limit($limit)->
					orderBy($ordering, 'DESC')->
					getStatusi($cat_id); }

        if (!$items) { return false; }

        return array(
            'items' => $items
        );

    }

}
