﻿<?php
$this->addCSS("templates/".$this->name."/controllers/statusi/css/style_statusi.css");
$user = cmsUser::getInstance(); 
$this->setPageTitle('Статусы'); 
$this->addBreadcrumb('Статусы', $this->href_to('')); 
if(!$show_cat){$this->addBreadcrumb($title);}

$is_can_add = cmsUser::isAdmin() || cmsUser::isAllowed('statusi', 'add');
	
if ($is_can_add){

	$this->addToolButton(array(
		'class' => 'add',
		'title' => 'Добавить новый статус',
		'href' => $this->href_to('add')
	));
	
}

?>
<script type="text/javascript">
function install_status(text, cid, my_id) {
if (text.length > 140) { 
    alert("Текст не должно привишать 140 символов.");
} else { 
    var install = $('#ins'+cid).text();
    $.post('/users/status', {'content': text, 'user_id': my_id}, function(data){});
    $.ajax({
            type: "POST",
            url: "/statusi/install",
            data: ({id : cid, install : install}),
            success: function(data) {
                $('#ins'+cid).text(data);
                alert("Статус успешно обновлен!!!");    
            }
     });
}
}
</script>
 
<div class="citation">  
<h1 class="polosa"><?php if($title){ echo $title; } else { ?>Статусы<?php } ?></h1> 
    <?php if($show_cat) { if(!$cats) { ?>
        <h3>Категории не найдены!!!</h3>
    <?php } else { //dump($cats); ?>
	<ul>
    <?php foreach ($cats as $cat) { ?>

        <li><img id="cat_img" src="/templates/<?php echo $this->name; ?>/controllers/statusi/img/folder.png"></i><a href="/statusi/view/<?php html($cat['id']); ?>"><?php html($cat['title']); ?></a><span class="s_right"><?php html($cat['summ']); ?><span></li>

    <?php } ?>
	</ul>
    <hr style="margin-bottom: 20px; border:none;">
    <?php } ?>
    <?php } ?>
    
    
<?php if ($statusi){ ?>

        <?php 
		foreach($statusi as $item){ 
		$is_can_edit = $user->is_admin ||
					cmsUser::isAllowed('statusi', 'edit', 'all') ||
					(cmsUser::isAllowed('statusi', 'edit', 'own') && $user->id == $item['author']);	
		$is_can_delete = $user->is_admin ||
					cmsUser::isAllowed('statusi', 'delete', 'all') ||
					(cmsUser::isAllowed('statusi', 'delete', 'own') && $user->id == $item['author']);				
	?>
    
       <Table Width="100%" Border="0" style="margin-bottom: 10px;" CellSpacing="0" CellPadding="2">
        <Tr>
         <Td class="citation_text"><?php echo $item['text']; ?></Td>
         <Td rowspan="2" valign="bottom" class="citation_user">
             <div class="citation_ava">
                 <a href="/users/<?php echo $item['author']; ?>" title="<?php echo $item['nickname']; ?>">
                     <?php echo html_avatar_image($item['avatar'], 'small'); ?></a></div>
             <div class="citation_arrow"><img src="/templates/<?php echo $this->name; ?>/controllers/statusi/img/arrow.png"></div>
         </Td>
        </Tr>
        <Tr>
            <Td height="20px" class="citation_meta">
                <span class="ic_install">Установили: <span style="color:red" id="ins<?php html($item['sid']); ?>"><?php html($item['installs']); ?></span> раза</span> 
                <?php if($user->id) { ?>
                | <span class="ic_plus"><a href="javascript:void(0);" onClick="install_status('<?php echo $item['text']; ?>', '<?php echo $item['sid']; ?>', '<?php html($user->id); ?>');">Установить</a></span>
                <?php } ?>
                <?php if($comments) { ?>
					| <span class="ic_comm"><a href="/statusi/read/<?php echo $item['id']; ?>#comments">Комментировать</a></span>
				<?php } ?>
                <span style="float: right; padding-top: 1px;">
					<?php if($is_can_edit) { ?>
					   <a href="/statusi/edit/<?php html($item['id']); ?>"><img src="/templates/<?php echo $this->name; ?>/controllers/statusi/img/edit.png" title="Редактировать"></a>
				   <?php } ?>
				   <?php if($is_can_delete) { ?>
						<a href="/statusi/delete/<?php html($item['id']); ?>" onclick="if(!confirm('Вы уверены что хотите удалить статус?')){ return false; }"><img src="/templates/<?php echo $this->name; ?>/controllers/statusi/img/delete.png" title="Удалить"></a>
					<?php } ?>
                </span>                
            </Td>
        </Tr>
       </Table>

    <?php  } ?>

    <?php echo html_pagebar($page, $perpage, $total); ?>

<?php } else { echo LANG_LIST_EMPTY; } ?>
</div>
