<?php

class actionStatusiStatusEdit extends cmsAction {

    public function run($id) {
        if (!$id) {cmsCore::error404();}
        $model = cmsCore::getModel('statusi');
        $form = $this->getForm('status', array('edit'));
        $is_submitted = $this->request->has('submit');
        $statusi = $model->getStatusi(0,$id);
		foreach ($statusi as $ct) {$status = $ct;}
        if ($is_submitted) {
            $status = $form->parse($this->request, $is_submitted, $status);
            $errors = $form->validate($this, $status);
            if (!$errors) {
                $model->updateStatus($id, $status);
                $this->redirectToAction('statusi');
            } else {
                cmsUser::addSessionMessage(LANG_FORM_ERRORS, 'error');
            }
        }

        return cmsTemplate::getInstance()->render('backend/status', array(
            'do' => 'edit',
            'status' => $status,
            'form' => $form,
            'errors' => isset($errors) ? $errors : false
        ));

    }
}