<?php

class formStatusiStatus extends cmsForm {

    public function init($do, $cat_id = 1) {
        return array(
            array(
                'type' => 'fieldset',
                'childs' => array(
                    new fieldList('cat_id', array(
                        'title' => 'Категория',
                        'generator' => function () {
                            $model = cmsCore::getModel('statusi');
                            $cats = $model->getCats();
                            foreach ($cats as $item) {
                                $items[$item['id']] = $item['title'];
                            }
                            return $items;
                        },
                        'default' => $cat_id
                    )),
					
                    new fieldText('text', array(
					   'title' => 'Текст статуса',
					   'rules' => array(
						   array('required')
					   )
					))
                )
            )
            
        );

    }

}